6.0.0-git
2019-03-18

[#9013] edit picture results in a not found photo
Summary edit picture results in a not found photo
Queue Ansel
Queue Version 1.1.1
Type Bug
State Not A Bug
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester michael (at) bigmichi1 (dot) de
Created 2010-05-10 (3234 days ago)
Due
Updated 2010-05-22 (3222 days ago)
Assigned 2010-05-10 (3234 days ago)
Resolved 2010-05-22 (3222 days ago)
Milestone
Patch No

History
2010-05-22 20:10:45 Michael Rubinsky Comment #10
State ⇒ Not A Bug
Reply to this comment
$image_id = (int)Util::getPost('image');
var_dump($image_id);

results in 0
Why did you change the line from Util::getFormData() to 
Util::getPost()? That is incorrect and is the cause of what you are 
experiencing.
2010-05-22 07:13:55 michael (at) bigmichi1 (dot) de Comment #9 Reply to this comment
$image_id = (int)Util::getPost('image');
var_dump($image_id);

results in 0

$image_id = Util::getPost('image');
var_dump($image_id);

results in NULL
2010-05-21 18:58:45 Michael Rubinsky Comment #8 Reply to this comment
That is very strange, and makes no sense to me.  In image.php, can 
you put a var_dump($image_id); after line 21 (the line that assigns 
image_id the value from the url parameter).
Sorry, make that line 27, I was looking at the Ansel 2 source...

2010-05-21 18:55:48 Michael Rubinsky Comment #7 Reply to this comment
ok the problem is that the image_id is 0, this can be verified by the links

when i have a picture opened the edit link is:
https://xxxxxxx/ansel/image.php?gallery=31&image=733&page=0&actionID=editimage

here we have the right image number
but than all links in on the edit page have:
https://xxxxxxx/ansel/image.php?gallery=31&slug=&image=0&page=0&year=0&month=0&day=0&actionID=previewrotate270
That is very strange, and makes no sense to me.  In image.php, can you 
put a var_dump($image_id); after line 21 (the line that assigns 
image_id the value from the url parameter).
2010-05-21 15:34:59 michael (at) bigmichi1 (dot) de Comment #6 Reply to this comment
ok the problem is that the image_id is 0, this can be verified by the links

when i have a picture opened the edit link is:
https://xxxxxxx/ansel/image.php?gallery=31&image=733&page=0&actionID=editimage

here we have the right image number
but than all links in on the edit page have:
https://xxxxxxx/ansel/image.php?gallery=31&slug=&image=0&page=0&year=0&month=0&day=0&actionID=previewrotate270
or
https://xxxxxxx/ansel/image.php?gallery=31&slug=&image=0&page=0&year=0&month=0&day=0&actionID=setwatermark&share=

only the last two have the right number:
https://xxxxxxx/ansel/image.php?gallery=31&image=733&page=0&actionID=cropedit&nocache=6rqfxhtod8el

and also the a have a question sign here on the edit page

2010-05-19 19:15:05 Michael Rubinsky Comment #5 Reply to this comment
seems to be that the change from bug 9002 makes the problem, i 
included this fix for image.php,

$image_id = (int)Util::getPost('image');


maybe thats wrong on my system?
No, because the change from that ticket only affects editing image 
*faces*, not the image itself, as you describe you are doing.

Still cannot reproduce. The errors in your your log indicate an issue 
with retrieving the Ansel_Image object from storage.  You are going to 
have to dump the error and find out what the exact error is that is 
being returned. Try putting something like:

Horde::logMessage(print_r($image, true), __FILE__, __LINE__, PEAR_LOG_ERR);
right before one of the lines in image.php that you are getting errors 
on in your log.

2010-05-11 07:27:02 michael (at) bigmichi1 (dot) de Comment #4 Reply to this comment
seems to be that the change from bug 9002 makes the problem, i 
included this fix for image.php,

$image_id = (int)Util::getPost('image');


maybe thats wrong on my system?
2010-05-11 06:41:23 michael (at) bigmichi1 (dot) de Comment #3 Reply to this comment
1. create new gallery with name test
2. upload a picture to it
3. click on the picture
4. click on edit

=> picture with question sign

any link doesn't work except the back to gallery


in my php logs i found this one, maybe its related to it:
[11-Mai-2010 08:36:35] PHP Fatal error:  Call to undefined method 
PEAR_Error::rotate() in 
/home/apache/horde-webmail-1.2.6-old/ansel/image.php on line 526
[11-Mai-2010 08:36:42] PHP Fatal error:  Call to undefined method 
PEAR_Error::flip() in 
/home/apache/horde-webmail-1.2.6-old/ansel/image.php on line 533
[11-Mai-2010 08:36:45] PHP Fatal error:  Call to undefined method 
PEAR_Error::getDimensions() in 
/home/apache/horde-webmail-1.2.6-old/ansel/image.php on line 335
2010-05-10 16:06:45 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
I can't reproduce this with 1.1.1 or with current fw3 in cvs.  Can you 
please post a step-by-step to reproduce, starting with uploading a new 
image?
2010-05-10 12:16:26 michael (at) bigmichi1 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ edit picture results in a not found photo
Queue ⇒ Ansel
Milestone ⇒
Patch ⇒ No
Reply to this comment
when using the link
https://xxxx/ansel/image.php?gallery=15&image=436&page=1&actionID=editimage
to ratoate a picture i got only a question mark, and when i klick on 
cancel i got photo not found

Saved Queries